﻿@model IEnumerable<EMartVG.Models.Producto>

@{
    ViewBag.Title = "ListarProductos";
}


<h2 class="font-weight-bolder text-center" style="color:white; opacity:0.8;background-color:black">Panel de Administración</h2>
<nav aria-label="breadcrumb">
    <ol class="breadcrumb" style="color: white;opacity: 0.8;background-color: black">
        <li class="breadcrumb-item"><a href="~/Admin/CreaMarcas/" style="color:white">Panel de Administración</a></li>
        <li class="breadcrumb-item"><a href="~/Admin/CreaProducto/" style="color:white">Productos</a></li>
        <li class="breadcrumb-item active" aria-current="~/Admin/ListarProductos/">Listar Productos</li>
    </ol>
</nav>

<div class="card text-center" style="background-color:black">
    <div class="card-header">
        <ul class="nav nav-tabs card-header-tabs">
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaMarcas/">Marcas</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaCategoria">Categorías</a>
            </li>
            <li class="nav-item">
                <a class="nav-link active font-weight-bolder" style="background-color:white ; color: black" href="~/Admin/CreaProducto">Productos</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaAdmin/">Administradores</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/ListarVentas/">Ventas</a>
            </li>
        </ul>
    </div>
    <div class="card-body">
        <div class="card text-left" style="background-color:whitesmoke">
            <div class="card-header">
                <ul class="nav nav-tabs card-header-tabs">

                    <li class="nav-item">
                        <a class="nav-link " style="color:black" href="~/Admin/CreaProducto">Agregar Producto</a>
                    </li>
                    <li class="nav-item active">
                        <a class="nav-link active bg-dark " style="color:white;background-color:black" href="~/Admin/ListarProductos/">Listar Productos</a>
                    </li>

                </ul>
            </div>
            <div class="card-body">
                <div class="form-row">
                    <div class="col-3 form-group">
                        @*@{
                            if (Session["nomproducto"] != null)
                            {
                                <input class="form-control" type="search" id="producto" value="@Session["nomproducto"].ToString()" placeholder="Ingrese nombre de producto" />
                            }
                            else
                            {
                                <input class="form-control" type="search" id="producto" value="" placeholder="Ingrese nombre de producto" />
                            }
                        }*@
                        <input class="form-control" type="search" id="producto" value="" placeholder="Ingrese nombre de producto" />

                    </div>
                    <div class="col-3">

                        @Html.DropDownList("estadoproducto", null, "Todos los estados", htmlAttributes: new { @class = "form-control" })

                    </div>
                    <div class="col-3">
                        @Html.DropDownList("marcaproducto", null, "Todas las marcas", htmlAttributes: new { @class = "form-control" })
                    </div>
                    <div class="col-3">
                        <button class="btn btn-dark" id="buscar">Buscar</button>
                    </div>

                </div>
                <div class="form-row">
                    <div class="col-3 form-group">
                        @Html.DropDownList("categoriaproducto", null, "Todas las categorias", htmlAttributes: new { @class = "form-control" })
                    </div>
                </div>
                <div class="table-responsive" id="tablaProducto">
                </div>
            </div>
        </div>
    </div>
</div>
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script>

        $(window).on("load", function () {
            //obtiene campos para filtrado
            document.getElementById('producto').value = (localStorage.getItem("productoLP"));
            document.getElementById('estadoproducto').value = (localStorage.getItem("estadoLP"));
            document.getElementById('marcaproducto').value = (localStorage.getItem("marcaLP"));
            document.getElementById('categoriaproducto').value = (localStorage.getItem("categoriaLP"));
        });

        $(window).on("load", function () {
        $.get('@Url.Action("ListarProductosPartial")' + '?nom=' + $('#producto').val() + '&estado=' + $('#estadoproducto').val() +
            '&marca=' + $('#marcaproducto').val() + '&categoria=' + $('#categoriaproducto').val(), function (lista) {
            $('#tablaProducto').html(lista);
            });
        });

        $('#producto').on("search keyup",function () {
            if (!$("#producto").val()) {
            $.get('@Url.Action("ListarProductosPartial")' + '?nom=' + $('#producto').val(), function (lista) {
                $('#tablaProducto').html(lista);
            });
            }
        });

        $('#buscar').click(function () {
        $.get('@Url.Action("ListarProductosPartial")' + '?nom=' + $('#producto').val() + '&estado=' + $('#estadoproducto').val() +
            '&marca=' + $('#marcaproducto').val() + '&categoria=' + $('#categoriaproducto').val(), function (lista) {
                localStorage.setItem("productoLP", $('#producto').val());
                localStorage.setItem("estadoLP", $('#estadoproducto').val());
                localStorage.setItem("marcaLP", $('#marcaproducto').val());
                localStorage.setItem("categoriaLP", $('#categoriaproducto').val());
               
            $('#tablaProducto').html(lista);
        });
        });



    </script>
}